ローカル環境のWordPressにCocoonをインストールしてcurl_version()がないと怒られた件(Windows)

wordpress

Cocoonはおすすめのテーマです

CocoonはWordpressの無料テーマで、非常に使いやすいです。こんなものが無料でいいのか!という感じです。

ローカル環境でCocoonをインストールしてエラー発生

Windows10のローカル環境にWordpressをインストールしていろいろ遊んでいます。サーバーはPHP7のビルトインサーバーです。

試しにCocoonをインストールしたところエラーが発生しました。とはいえ、レンタルサーバーでは生じないエラーですのでとくに問題ありません。

ごく少数しかいないでしょうが、わたしのようにローカルで勉強していてCocoonをインストールしたさいにエラーに遭遇した方向けの記事です。

対処法

PHP7のビルトインサーバーをみると以下のメッセージが出ていました。

curl_version()という関数なんて知らないよとのことです。ググってみるとこの関数を有効にするには、php.iniに以下の行を追加すればいいようです。

蛇足ですが、以下でも大丈夫でした。

なお、php.iniを編集したあとはPHPのビルトインサーバーを再起動する必要があります。

コメント

タイトルとURLをコピーしました